/*
 *
 *	PlSqlDebug - Oracle PL*SQL Debugging aid.
 *
 *	Copyright (c) 1997-98 by Dieter Oberkofler Vienna / Austria
 *	All rights reserved.
 *
 *	The user executing this procedure must have the right to execute
 *	the dbms_pipe package.
 *	Use GRANT EXECUTE ON dbms_pipe to <username> to grant the rights.
 *
 */

CREATE OR REPLACE PROCEDURE SendDebugMessage (theMessage VARCHAR2) AS
status	NUMBER;
BEGIN
	dbms_pipe.pack_message(LENGTH(theMessage));
	dbms_pipe.pack_message(theMessage);
	status := dbms_pipe.send_message('plsql_debug');
	IF status != 0 THEN
		raise_application_error(20099, 'Debug error');
	END IF;
END SendDebugMessage;
/

CREATE OR REPLACE PROCEDURE SendTraceMessage (theMessage VARCHAR2) AS
aMessage	VARCHAR2(2000);
BEGIN
	aMessage := TO_CHAR(SYSDATE) || ': ' || theMessage;
	SendDebugMessage(aMessage);
END SendTraceMessage;
/

CREATE PUBLIC SYNONYM SendDebugMessage FOR SendDebugMessage;
CREATE PUBLIC SYNONYM SendTraceMessage FOR SendTraceMessage;
